Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82717 - font loading problems in gnumeric
Summary: font loading problems in gnumeric
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: gnumeric
Version: phoebe
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-25 06:51 UTC by Christopher Stone
Modified: 2008-05-01 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-03 22:37:28 UTC


Attachments (Terms of Use)

Description Christopher Stone 2003-01-25 06:51:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030115

Description of problem:
The following errors display when loading gnumeric, and the fonts look really
ugly compared with Phoenix's version.

The font "-*-helvetica-medium-r-condensed-*-12-*-*-*-*-*-*-*" does not support
all the required character sets for the current locale "en_US.iso885915"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
The font "-*-nimbus sans-regular-r-normal-*-12-*-*-*-*-*-*-*" does not support
all the required character sets for the current locale "en_US.iso885915"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
The font "-*-helvetica-bold-r-condensed-*-12-*-*-*-*-*-*-*" does not support all
the required character sets for the current locale "en_US.iso885915"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
The font "-*-helvetica-medium-o-condensed-*-12-*-*-*-*-*-*-*" does not support
all the required character sets for the current locale "en_US.iso885915"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
The font "-*-nimbus sans-regular-i-normal-*-12-*-*-*-*-*-*-*" does not support
all the required character sets for the current locale "en_US.iso885915"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
The font "-*-helvetica-medium-r-condensed-*-24-*-*-*-*-*-*-*" does not support
all the required character sets for the current locale "en_US.iso885915"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")
The font "-*-nimbus sans-regular-r-normal-*-24-*-*-*-*-*-*-*" does not support
all the required character sets for the current locale "en_US.iso885915"
  (Missing character set "ISO8859-15")
  (Missing character set "ISO8859-15")


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Start gnumeric
    

Actual Results:  bad fonts

Expected Results:  good fonts

Additional info:

Comment 1 Havoc Pennington 2003-01-25 16:25:06 UTC
Try running in en_US.ISO-8859-1

Comment 2 Christopher Stone 2003-01-25 19:54:32 UTC
how do I do that?

Comment 3 Havoc Pennington 2003-01-25 20:02:40 UTC
"LANG=en_US.ISO-8859-1 gnumeric"

Comment 4 Christopher Stone 2003-01-25 20:09:56 UTC
This fixes the warnings, but does not fix the font ugliness.

Comment 5 Havoc Pennington 2003-01-25 20:13:03 UTC
Are the menu/toolbar fonts ugly or just in the spreadsheet area?

Comment 6 Christopher Stone 2003-01-25 20:19:16 UTC
just the spreadsheet area.

Comment 7 Havoc Pennington 2003-02-03 22:37:28 UTC
Owen says "gnumeric fonts are so deeply hosed in 1.0.x that there is no chance
of fixage until we move to the GTK 2 based gnumeric"

the problem here is apparently selecting the nearest thing to helvetica in our 
default font (nimbus), and nimbus is ugly. In any case, gtk 2 gnumeric will fix.


Note You need to log in before you can comment on or make changes to this bug.